## blueman 1.23-git201406261335-deb

=== debian/changelog ===
blueman (1.23-git201406261335-deb-1ubuntu1) utopic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/patches/01_dont_autostart_lxde.patch:
      + Don't autostart the applet in LXDE
    - debian/patches/02_dont_crash_on_non-bluetooth_card.patch:
      + Avoid crashing when receiving event for cards blueman shouldn't handle
    - debian/control: Don't depend on python-appindicator
    - debian/patches/03_filemanager_fix.patch:
      + Add support for more filemanagers

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 03 Jul 2014 07:37:37 +1000

blueman (1.23-git201406261335-deb-1) unstable; urgency=low

  * New upstream snapshot (deb branch, Closes: #743568)

 -- Christopher Schramm <debian@shakaweb.org>  Tue, 01 Jul 2014 12:11:00 +0200

## blueman 1.99~alpha1

=== debian/changelog ===
blueman (1.99~alpha1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_dont_autostart_lxde.patch:
      + Don't autostart the applet in LXDE.
    - debian/patches/03_filemanager_fix.patch:
      + Add support for more filemanagers.
  * debian/patches/02_dont_crash_on_non-bluetooth_card.patch:
    - Dropped, no longer applicable.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 24 Dec 2014 18:33:36 +0100

blueman (1.99~alpha1-1) unstable; urgency=low

  * New upstream release (Closes: #757239)

 -- Christopher Schramm <debian@shakaweb.org>  Thu, 21 Aug 2014 13:07:00 +0200

blueman (1.23-git201407171232-2) unstable; urgency=low

  * Upstream snapshot for unstable (Closes: #754973, #741961)

 -- Christopher Schramm <debian@shakaweb.org>  Tue, 05 Aug 2014 10:35:00 +0200

blueman (1.23-git201407171232-1) experimental; urgency=low

  * Upstream snapshot of new major version with (yet incomplete) BlueZ 5 support

 -- Christopher Schramm <debian@shakaweb.org>  Thu, 17 Jul 2014 13:52:00 +0200

blueman (1.23-git201406261335-deb-2) unstable; urgency=low

  * Add dependency bluez (<< 5)
  * Update homepage to GitHub home

 -- Christopher Schramm <debian@shakaweb.org>  Wed, 16 Jul 2014 17:45:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christopher Schramm <debian@shakaweb.org>
Homepage: https://github.com/blueman-project/blueman
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
               libgtk-3-dev, libstartup-notification0-dev, python-gi-dev,
               libbluetooth-dev (>= 4.0), intltool, python-dev (>= 2.6.6-3~),
               cython, python-dbus, dh-autoreconf

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, dbus,
         bluez (>= 4.61), obex-data-server (>= 0.4.3), python-dbus, python-gi,
         notification-daemon, librsvg2-common, gnome-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, gir1.2-notify-0.7, python-gi-cairo,
         gir1.2-appindicator3-0.1, gir1.2-gconf-2.0
Recommends: policykit-1
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.0

=== debian/changelog ===
blueman (2.0-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1482626). Remaining changes:
    - debian/patches/03_filemanage_fix.patch:
      + Dropped, no longer needed.
    - debian/patches/dhcpclient_priority
    - debian/patches/01_dont_autostart_lxde.patch
      + Refreshed patches

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 07 Sep 2015 12:48:18 -0400

blueman (2.0-1) unstable; urgency=low

  * New upstream release

 -- Christopher Schramm <debian@cschramm.eu>  Sun, 24 May 2015 10:08:00 +0200

blueman (2.0~rc1-1) unstable; urgency=low

  * New upstream release (Closes: #757633)

 -- Christopher Schramm <debian@cschramm.eu>  Wed, 13 May 2015 17:08:00 +0200

blueman (1.99~alpha2-1) unstable; urgency=low

  * New upstream release (Closes: #779613, #764635, #762526, #762527, #549274,
                          #652005, #761284, #761286)

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 06 Mar 2015 10:12:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christopher Schramm <debian@shakaweb.org>
Homepage: https://github.com/blueman-project/blueman
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
               libbluetooth-dev (>= 4.0), intltool, python-dev (>= 2.7),
               cython, python-dbus, dh-autoreconf, python-gi-dev

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, dbus,
         bluez (>= 4.61), obexd-client (>= 0.47) | bluez-obexd,
         obexd-server (>= 0.47) | bluez-obexd,python-dbus, python-gi,
         notification-daemon, librsvg2-common, gnome-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, gir1.2-notify-0.7, python-cairo,
         gir1.2-appindicator3-0.1
Recommends: policykit-1
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# Including this gives us a number of rules typical to a GNOME
# program, including setting GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1.
# Note that this class inherits from autotools.mk and docbookxml.mk,
# so you don't need to include those too.
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-runtime-deps-check

common-install-arch::
	rm -f $(CURDIR)/debian/blueman/usr/lib/nautilus-sendto/plugins/libnstblueman.la
	rm -f $(CURDIR)/debian/blueman/usr/share/doc/blueman/COPYING

binary-install/blueman::
	dh_python2 --no-guessing-versions

install/blueman::
	rm -f $(CURDIR)/debian/blueman/usr/lib/python*/*-packages/_blueman.la
	rm -f $(CURDIR)/debian/blueman/usr/lib/python*/*-packages/_blueman.a

## blueman 2.0.4

=== debian/changelog ===
blueman (2.0.4-1ubuntu2.1) xenial-security; urgency=medium

  * SECURITY UPDATE: privilege escalation on DhcpClient
    - debian/patches/CVE-2020-15238.patch: pass object path instead of network
      interface name to DhcpClient
    - CVE-2020-15238

 -- Emilia Torino <emilia.torino@canonical.com>  Fri, 16 Oct 2020 12:08:59 -0300

blueman (2.0.4-1ubuntu2) xenial; urgency=medium

  * debian/patches/02_lp1533206.patch
    - Fix startup crash for systems without bluetooth (LP: #1533206)

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 30 Mar 2016 20:03:33 -0400

blueman (2.0.4-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/01_dont_autostart_lxde.patch:
      + Don't autostart the applet in LXDE

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Mar 2016 12:52:11 +0200

blueman (2.0.4-1) unstable; urgency=critical

  * New upstream release (Closes: #812804)

 -- Christopher Schramm <debian@cschramm.eu>  Tue, 22 Mar 2016 07:21:00 +0100

blueman (2.0.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. (LP: #1524490) Remaining changes:
    - debian/patches/01_dont_autostart_lxde.patch:
      + Don't autostart the applet in LXDE

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 20 Dec 2015 06:01:53 +1100

blueman (2.0.3-1) unstable; urgency=critical

  * New upstream release with fix for privilege escalation

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 18 Dec 2015 16:15:00 +0100

blueman (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Switch to Python 3 (Closes: #804075)
  * Set correct configuration path for isc-dhcp-server

 -- Christopher Schramm <debian@cschramm.eu>  Tue, 15 Dec 2015 10:12:00 +0100

blueman (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Christopher Schramm <debian@cschramm.eu>  Mon, 05 Oct 2015 14:23:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christopher Schramm <debian@shakaweb.org>
Homepage: https://github.com/blueman-project/blueman
Standards-Version: 3.9.7
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
               libbluetooth-dev (>= 4.0), intltool, python3-dev (>= 3.2),
               cython, python3-dbus, dh-autoreconf, python-gi-dev

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, dbus,
         bluez (>= 4.61), obexd-client (>= 0.47) | bluez-obexd,
         obexd-server (>= 0.47) | bluez-obexd, python3-dbus, python3-gi,
         notification-daemon, librsvg2-common, gnome-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, gir1.2-notify-0.7, python3-cairo,
         python3-gi-cairo, gir1.2-appindicator3-0.1
Recommends: policykit-1
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export PYTHON=python3
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 # Including this gives us a number of rules typical to a GNOME
@@ -8,14 +10,14 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --disable-runtime-deps-check
+DEB_CONFIGURE_EXTRA_FLAGS := --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf
 
 common-install-arch::
 	rm -f $(CURDIR)/debian/blueman/usr/lib/nautilus-sendto/plugins/libnstblueman.la
 	rm -f $(CURDIR)/debian/blueman/usr/share/doc/blueman/COPYING
 
 binary-install/blueman::
-	dh_python2 --no-guessing-versions
+	dh_python3 --shebang=/usr/bin/python3
 
 install/blueman::
 	rm -f $(CURDIR)/debian/blueman/usr/lib/python*/*-packages/_blueman.la

## blueman 2.0.5

=== debian/changelog ===
blueman (2.0.5-1ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: privilege escalation on DhcpClient
    - debian/patches/CVE-2020-15238.patch: pass object path instead of network
      interface name to DhcpClient
    - CVE-2020-15238

 -- Emilia Torino <emilia.torino@canonical.com>  Fri, 16 Oct 2020 10:10:30 -0300

blueman (2.0.5-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/02_lp1533206.patch
      + Fix startup crash for systems without bluetooth (LP: #1533206)
    - debian/patches/01_dont_autostart_lxde.patch:
      + Don't autostart the applet in LXDE

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Nov 2017 11:13:52 +0100

blueman (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Christopher Schramm <debian@cschramm.eu>  Sun, 01 Oct 2017 08:08:00 +0200

blueman (2.0.4-1ubuntu3) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 18:22:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christopher Schramm <debian@shakaweb.org>
 Homepage: https://github.com/blueman-project/blueman
-Standards-Version: 3.9.7
+Standards-Version: 4.1.0
 X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
                libbluetooth-dev (>= 4.0), intltool, python3-dev (>= 3.2),
-               cython, python3-dbus, dh-autoreconf, python-gi-dev
+               cython, python3-dbus, dh-autoreconf, python-gi-dev, dh-python
 
 Package: blueman
 Architecture: any
@@ -19,7 +19,7 @@
          libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0, gir1.2-pango-1.0, gir1.2-notify-0.7, python3-cairo,
          python3-gi-cairo, gir1.2-appindicator3-0.1
-Recommends: policykit-1
+Recommends: policykit-1, pulseaudio-module-bluetooth
 Description: Graphical bluetooth manager
  Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
  backend.

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,12 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf
+DEB_CONFIGURE_EXTRA_FLAGS := --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf \
+                             --with-systemdunitdir=/lib/systemd
 
 common-install-arch::
-	rm -f $(CURDIR)/debian/blueman/usr/lib/nautilus-sendto/plugins/libnstblueman.la
 	rm -f $(CURDIR)/debian/blueman/usr/share/doc/blueman/COPYING
+	rm -f $(CURDIR)/debian/blueman/usr/share/doc/blueman/CHANGELOG.md
 
 binary-install/blueman::
 	dh_python3 --shebang=/usr/bin/python3

## blueman 2.0.8

=== debian/changelog ===
blueman (2.0.8-1.antix1) unstable; urgency=medium

  * remove gnome-icon-theme dependency 

 -- anticapitalista <antix@operamail.com>  Wed, 05 Feb 2020 19:16:00 +0200

blueman (2.0.8-1) unstable; urgency=low

  * New release
  * Add alternative icon themes (Closes: #909229)

 -- Christopher Schramm <debian@cschramm.eu>  Mon, 24 Dec 2018 10:32:00 +0100

blueman (2.0.6-1) unstable; urgency=low

  * New release
  * Add missing dependency (Closes: #888642)
  * Drop postinst script (Closes: #878814)
  * Remove ancient X-Python3-Version field

 -- Christopher Schramm <debian@cschramm.eu>  Thu, 26 Jul 2018 07:15:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
               libbluetooth-dev (>= 4.0), intltool, python3-dev (>= 3.2),
               cython, python3-dbus, dh-autoreconf, python-gi-dev, dh-python

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, dbus,
         default-dbus-session-bus | dbus-session-bus,
         bluez (>= 4.61), obexd-client (>= 0.47) | bluez-obexd,
         obexd-server (>= 0.47) | bluez-obexd, python3-dbus, python3-gi,
         notification-daemon, librsvg2-common,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, gir1.2-notify-0.7, python3-cairo,
         python3-gi-cairo, gir1.2-appindicator3-0.1
Recommends: policykit-1, pulseaudio-module-bluetooth, gnome-icon-theme | elementary-xfce-icon-theme | mate-icon-theme
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.0.8.1

=== debian/changelog ===
blueman (2.0.8.1-1) unstable; urgency=medium

  * update

 -- Christopher Schramm <debian@cschramm.eu>  Mon, 07 Jun 2021 09:49:57 +0800

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
          bluez (>= 4.61), obexd-client (>= 0.47) | bluez-obexd,
          obexd-server (>= 0.47) | bluez-obexd, python3-dbus, python3-gi,
          notification-daemon, librsvg2-common,
+         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme,
          libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0, gir1.2-pango-1.0, gir1.2-notify-0.7, python3-cairo,
          python3-gi-cairo, gir1.2-appindicator3-0.1
-Recommends: policykit-1, pulseaudio-module-bluetooth, gnome-icon-theme | elementary-xfce-icon-theme | mate-icon-theme
+Recommends: policykit-1, pulseaudio-module-bluetooth
 Description: Graphical bluetooth manager
  Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
  backend.

## blueman 2.1~alpha2

=== debian/changelog ===
blueman (2.1~alpha2-1) experimental; urgency=low

  * New release (Closes: #866943, #867289, #841869)
  * Drop postinst script (Closes: #878814)
  * Fix blueman.rules (Closes: #852692)

 -- Christopher Schramm <debian@cschramm.eu>  Thu, 07 Dec 2017 08:43:00 +0100

blueman (2.1~alpha1-2) experimental; urgency=low

  * Fix polkit rules file (Closes: #852692)
  * Raise debhelper compat level
  * Do not install CHANGELOG.md(.gz)
  * Add dh-python to build dependencies

 -- Christopher Schramm <debian@cschramm.eu>  Sat, 22 Apr 2017 09:59:00 +0200

blueman (2.1~alpha1-1) experimental; urgency=low

  * New upstream release (Closes: #549274)

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 16 Sep 2016 08:13:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Standards-Version: 4.1.1
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
               libbluetooth-dev (>= 5.0), intltool, python3-dev (>= 3.2),
               cython, python3-dbus, dh-autoreconf, python-gi-dev, dh-python

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, dbus,
         bluez (>= 5), bluez-obexd, python3-dbus, python3-gi,
         notification-daemon, librsvg2-common, gnome-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
         python3-gi-cairo, gir1.2-appindicator3-0.1
Recommends: policykit-1, pulseaudio-module-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.1.1

=== debian/changelog ===
blueman (2.1.1-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Wed, 03 Jul 2019 21:39:00 +0200

blueman (2.1-1) experimental; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Sun, 09 Jun 2019 20:31:00 +0200

blueman (2.1~beta1-1) experimental; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Mon, 06 May 2019 08:15:00 +0200

blueman (2.1~alpha3-1) experimental; urgency=low

  * New release
  * Add alternative icon themes (Closes: #909229)

 -- Christopher Schramm <debian@cschramm.eu>  Thu, 27 Dec 2018 08:54:00 +0100

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
               libbluetooth-dev (>= 5.0), intltool, python3-dev (>= 3.2),
               cython, python3-dbus, dh-autoreconf, python-gi-dev, dh-python

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, dbus,
         default-dbus-session-bus | dbus-session-bus,
         bluez (>= 5), bluez-obexd, python3-gi,
         notification-daemon, librsvg2-common,
         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme |
         adwaita-icon-theme | papirus-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
         python3-gi-cairo, gir1.2-appindicator3-0.1, gir1.2-nm-1.0
Recommends: policykit-1, pulseaudio-module-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.1.2

=== debian/changelog ===
blueman (2.1.2-1ubuntu0.3) focal; urgency=medium

  * d/p/handle-os-remove-failure.patch: Handle the case when removing the file
    didn't work out. (LP: #1877524)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Sep 2021 19:49:31 -0700

blueman (2.1.2-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Polkit-1 support disabled
    - debian/control: add libpolkit-agent-1-dev to build deps

 -- Emilia Torino <emilia.torino@canonical.com>  Fri, 30 Oct 2020 19:27:37 -0300

blueman (2.1.2-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: privilege escalation on DhcpClient
    - debian/patches/CVE-2020-15238.patch: pass object path instead of network
      interface name to DhcpClient
    - CVE-2020-15238

 -- Emilia Torino <emilia.torino@canonical.com>  Fri, 16 Oct 2020 17:53:40 -0300

blueman (2.1.2-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 24 Jan 2020 08:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: blueman
 Section: x11
 Priority: optional
-Maintainer: Christopher Schramm <debian@cschramm.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christopher Schramm <debian@cschramm.eu>
 Homepage: https://github.com/blueman-project/blueman
 Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
                libbluetooth-dev (>= 5.0), intltool, python3-dev (>= 3.2),
-               cython, python3-dbus, dh-autoreconf, python-gi-dev, dh-python
+               cython, python3-dbus, dh-autoreconf, python-gi-dev, dh-python,
+               libpolkit-agent-1-dev
 
 Package: blueman
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, dbus,
          default-dbus-session-bus | dbus-session-bus,
-         bluez (>= 5), bluez-obexd, python3-gi,
+         bluez (>= 5), bluez-obexd, python3-gi (>= 3.27.2),
          notification-daemon, librsvg2-common,
          gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme |
          adwaita-icon-theme | papirus-icon-theme,

## blueman 2.1.3

=== debian/changelog ===
blueman (2.1.3-2ubuntu1.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Polkit-1 support disabled
    - debian/control: add libpolkit-agent-1-dev to build deps

 -- Emilia Torino <emilia.torino@canonical.com>  Fri, 30 Oct 2020 20:04:58 -0300

blueman (2.1.3-2ubuntu1) groovy; urgency=medium

  * SECURITY UPDATE: privilege escalation on DhcpClient
    - debian/patches/CVE-2020-15238.patch: pass object path instead of network
      interface name to DhcpClient
    - CVE-2020-15238

 -- Emilia Torino <emilia.torino@canonical.com>  Tue, 13 Oct 2020 16:51:05 -0300

blueman (2.1.3-2) unstable; urgency=low

  * Fix systemd unit dir (Closes: #961215)
  * Use cython3 (Closes: #942916)
  * Use libayatanaappindicator (Closes: #895037)

 -- Christopher Schramm <debian@cschramm.eu>  Tue, 2 Jun 2020 08:05:00 +0200

blueman (2.1.3-1) unstable; urgency=low

  * New release
  * Set systemd directories (Closes: #950520)
  * Patch iptables path (Closes: #958788)

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 08 May 2020 08:20:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Christopher Schramm <debian@cschramm.eu>
 Homepage: https://github.com/blueman-project/blueman
 Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 7), autotools-dev, cdbs, libglib2.0-dev, libtool,
+Build-Depends: debhelper (>= 7), cdbs, libglib2.0-dev, libtool,
                libbluetooth-dev (>= 5.0), intltool, python3-dev (>= 3.2),
-               cython, python3-dbus, dh-autoreconf, python-gi-dev, dh-python,
+               cython3, python3-dbus, python-gi-dev, dh-python,
                libpolkit-agent-1-dev
 
 Package: blueman
@@ -20,7 +20,7 @@
          adwaita-icon-theme | papirus-icon-theme,
          libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
-         python3-gi-cairo, gir1.2-appindicator3-0.1, gir1.2-nm-1.0
+         python3-gi-cairo, gir1.2-ayatanaappindicator3-0.1, gir1.2-nm-1.0
 Recommends: policykit-1, pulseaudio-module-bluetooth
 Description: Graphical bluetooth manager
  Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYTHON=python3
+export CYTHONEXEC=cython3
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 # Including this gives us a number of rules typical to a GNOME
@@ -10,8 +11,7 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf \
-                             --with-systemdunitdir=/lib/systemd
+DEB_CONFIGURE_EXTRA_FLAGS := --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf --with-systemdsystemunitdir=/lib/systemd/system
 
 common-install-arch::
 	rm -f $(CURDIR)/debian/blueman/usr/share/doc/blueman/COPYING

## blueman 2.1.4

=== debian/changelog ===
blueman (2.1.4-1) unstable; urgency=high

  * New release (Closes: #973718 (CVE-2020-15238))
  * Enable Polkit-1 support
  * Improve packaging
    * Drop cdbs
    * Update standards version
    * Fix whitespaces in d/changelog and d/rules
    * Add d/upstream/metadata and d/watch
    * Add Vcs-* fields to d/control
    * Use DEP5 format in d/copyright
    * Enable hardening
    * Add lintian overrides

 -- Christopher Schramm <debian@cschramm.eu>  Tue, 6 Oct 2020 09:05:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Vcs-Git: https://salsa.debian.org/cschramm/blueman.git
Vcs-Browser: https://salsa.debian.org/cschramm/blueman
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
               libtool, libbluetooth-dev (>= 5.0), intltool,
               python3-dev (>= 3.2), cython3, python3-dbus, python-gi-dev,
               dh-python, libpolkit-agent-1-dev

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, dbus,
         default-dbus-session-bus | dbus-session-bus,
         bluez (>= 5), bluez-obexd, python3-gi (>= 3.27.2),
         notification-daemon, librsvg2-common,
         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme |
         adwaita-icon-theme | papirus-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
         python3-gi-cairo, gir1.2-ayatanaappindicator3-0.1, gir1.2-nm-1.0,
         policykit-1
Recommends: pulseaudio-module-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

=== debian/watch ===
version=4
opts=uversionmangle=s/\.((beta|alpha)\d*)$/~$1/ \
  https://github.com/blueman-project/blueman/releases .*/blueman-(.+)\.tar\.xz

## blueman 2.2.2

=== debian/changelog ===
blueman (2.2.2-1) unstable; urgency=low

  * New release (Closes: #991410)

 -- Christopher Schramm <debian@cschramm.eu>  Sat, 7 Aug 2021 08:52:00 +0200

blueman (2.2.1-1) UNRELEASED; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Thu, 17 Jun 2021 10:37:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Vcs-Git: https://salsa.debian.org/cschramm/blueman.git
Vcs-Browser: https://salsa.debian.org/cschramm/blueman
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
               gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.6),
               cython3, python-gi-dev (>= 3.27.2), dh-python,
               libpolkit-agent-1-dev

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
         dbus (>= 1.9.18), default-dbus-session-bus | dbus-session-bus,
         bluez (>= 5.48), bluez-obexd, python3-gi (>= 3.27.2),
         notification-daemon, librsvg2-common,
         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme |
         adwaita-icon-theme | papirus-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0 (>= 3.22),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
         python3-gi-cairo, gir1.2-ayatanaappindicator3-0.1, gir1.2-nm-1.0,
         policykit-1
Recommends: pulseaudio-module-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.2.4

=== meson_options.txt ===
option('runtime_deps_check', type: 'boolean', value: true, description: 'Disable runtime dependency check (for package maintainers)')
option('dhcp-config-path', type: 'string', value: '/etc/dhcp3/dhcpd.conf', description: 'Set dhcp3 server configuration path')
option('policykit', type: 'boolean', value: true, description: 'Enable policykit support')
option('pulseaudio', type: 'boolean', value: true, description: 'Enable PulseAudio support')
option('appindicator', type: 'boolean', value: true, description: 'Enable Libappindicator support')
option('systemdsystemunitdir', type: 'string', description: 'Path to systemd system unit dir relative to ${prefix}')
option('systemduserunitdir', type: 'string', description: 'Path to systemd user unit dir relative to ${prefix}')
option('sendto-plugins', type: 'array', choices: ['Caja', 'Nemo', 'Nautilus'], value: ['Caja', 'Nemo', 'Nautilus'], description: 'Install sendto plugins for various filemanagers')
option('thunar-sendto', type: 'boolean', value: true, description: 'Install Thunar sendto plugin')

=== debian/changelog ===
blueman (2.2.4-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Thu, 10 Feb 2022 13:27:00 +0200

blueman (2.2.3-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Thu, 28 Oct 2021 06:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Christopher Schramm <debian@cschramm.eu>
 Homepage: https://github.com/blueman-project/blueman
-Vcs-Git: https://salsa.debian.org/cschramm/blueman.git
-Vcs-Browser: https://salsa.debian.org/cschramm/blueman
-Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/debian/blueman.git
+Vcs-Browser: https://salsa.debian.org/debian/blueman
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
                gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.6),

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON=python3
export CYTHONEXEC=cython3

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf --with-systemdsystemunitdir=/lib/systemd/system

override_dh_auto_install:
	dh_auto_install
	rm debian/blueman/usr/share/doc/blueman/COPYING
	rm debian/blueman/usr/lib/python*/site-packages/_blueman.la
	rm debian/blueman/usr/lib/python*/site-packages/_blueman.a

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	dh_python3 --shebang=/usr/bin/python3 /usr/libexec

%:
	dh $@ --with python3

## blueman 2.2.5

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Vcs-Git: https://salsa.debian.org/debian/blueman.git
Vcs-Browser: https://salsa.debian.org/debian/blueman
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Build-Depends: cython3,
               debhelper (>= 13),
               debhelper-compat (= 13),
               dh-python,
               gettext,
               libbluetooth-dev (>= 5.0),
               libglib2.0-dev,
               libpolkit-agent-1-dev,
               python-gi-dev (>= 3.27.2),
               python3-dev (>= 3.6)

Package: blueman
Architecture: any
Depends: bluez (>= 5.48),
         bluez-obexd,
         dbus (>= 1.9.18),
         default-dbus-session-bus | dbus-session-bus,
         gir1.2-ayatanaappindicator3-0.1,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0 (>= 3.22),
         gir1.2-nm-1.0,
         gir1.2-pango-1.0,
         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme | adwaita-icon-theme | papirus-icon-theme,
         libpulse-mainloop-glib0,
         librsvg2-common,
         notification-daemon,
         policykit-1,
         python3-cairo,
         python3-gi (>= 3.27.2),
         python3-gi-cairo,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: pulseaudio-module-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,8 @@
 	dh_python3 --shebang=/usr/bin/python3
 	dh_python3 --shebang=/usr/bin/python3 /usr/libexec
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@ --with python3

## blueman 2.3.2

=== debian/changelog ===
blueman (2.3.2-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Mon, 1 Aug 2022 11:40:00 +0200

blueman (2.3.1-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Mon, 18 Jul 2022 08:32:00 +0200

blueman (2.3-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Tue, 5 Jul 2022 14:16:00 +0200

blueman (2.2.5-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 10 Jun 2022 08:39:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Vcs-Git: https://salsa.debian.org/debian/blueman.git
Vcs-Browser: https://salsa.debian.org/debian/blueman
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
               gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.6),
               cython3, python-gi-dev (>= 3.27.2), dh-python,
               libpolkit-agent-1-dev

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
         dbus (>= 1.9.18), default-dbus-session-bus | dbus-session-bus,
         bluez (>= 5.48), bluez-obexd, python3-gi (>= 3.27.2),
         notification-daemon, librsvg2-common,
         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme |
         adwaita-icon-theme | papirus-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0 (>= 3.22),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
         python3-gi-cairo, gir1.2-nm-1.0, policykit-1
Recommends: pulseaudio-module-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.3.4

=== debian/changelog ===
blueman (2.3.4-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 14 Oct 2022 16:15:00 +0200

## blueman 2.3.5

=== debian/changelog ===
blueman (2.3.5-3ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 22:59:18 +0100

blueman (2.3.5-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:00:08 +0000

blueman (2.3.5-3) unstable; urgency=low

  * Add a PipeWire alternative to recommendations

 -- Christopher Schramm <debian@cschramm.eu>  Sun, 20 Aug 2023 08:22:00 +0200

blueman (2.3.5-2) unstable; urgency=low

  * Update polkit dependency (Closes: #1025546)

 -- Christopher Schramm <debian@cschramm.eu>  Wed, 7 Dec 2022 20:37:00 +0100

blueman (2.3.5-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Tue, 22 Nov 2022 20:12:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blueman
 Section: x11
 Priority: optional
-Maintainer: Christopher Schramm <debian@cschramm.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christopher Schramm <debian@cschramm.eu>
 Homepage: https://github.com/blueman-project/blueman
 Vcs-Git: https://salsa.debian.org/debian/blueman.git
 Vcs-Browser: https://salsa.debian.org/debian/blueman
@@ -23,8 +24,9 @@
          libpulse-mainloop-glib0, gir1.2-gtk-3.0 (>= 3.22),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
-         python3-gi-cairo, gir1.2-nm-1.0, policykit-1
-Recommends: pulseaudio-module-bluetooth
+         python3-gi-cairo, gir1.2-nm-1.0, polkitd
+Recommends: pulseaudio-module-bluetooth | libspa-0.2-bluetooth
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Graphical bluetooth manager
  Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
  backend.

## blueman 2.3.5+mint1+elsie

=== debian/changelog ===
blueman (2.3.5+mint1+elsie) vera; urgency=medium

  * 2.3.5

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Jan 2023 10:34:07 +0000

blueman (2.3.4+mint1) vanessa; urgency=medium

  * 2.3.4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 20 Oct 2022 09:46:28 +0100

blueman (2.3.3+mint1) vanessa; urgency=medium

  * 2.3.3

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Oct 2022 10:12:37 +0100

blueman (2.3.2+mint1) vanessa; urgency=medium

  * 2.3.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Sep 2022 11:26:18 +0100

blueman (2.3.1+mint1) vanessa; urgency=medium

  * 2.3.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jul 2022 14:55:25 +0200

blueman (2.3+mint1) vanessa; urgency=medium

  * 2.3

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Jul 2022 13:56:37 +0200

## blueman 2.3.5+mint1+faye

=== debian/changelog ===
blueman (2.3.5+mint1+faye) vera; urgency=medium

  * 2.3.5

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Jan 2023 10:34:07 +0000

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Vcs-Git: https://salsa.debian.org/cschramm/blueman.git
Vcs-Browser: https://salsa.debian.org/cschramm/blueman
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Build-Depends: debhelper (>= 12), debhelper-compat (= 12), libglib2.0-dev,
               gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.6),
               cython3, python-gi-dev (>= 3.27.2), dh-python,
               libpolkit-agent-1-dev

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
         dbus (>= 1.9.18), default-dbus-session-bus | dbus-session-bus,
         bluez (>= 5.48), bluez-obexd, python3-gi (>= 3.27.2),
         notification-daemon, librsvg2-common,
         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme |
         adwaita-icon-theme | papirus-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0 (>= 3.22),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
         python3-gi-cairo, gir1.2-ayatanaappindicator3-0.1, gir1.2-nm-1.0,
         policykit-1
Recommends: pulseaudio-module-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.3.5+mint1+vera

=== debian/changelog ===
blueman (2.3.5+mint1+vera) vera; urgency=medium

  * 2.3.5

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Jan 2023 10:34:07 +0000

## blueman 2.3.5+mint1+wilma

=== debian/changelog ===
blueman (2.3.5+mint1+wilma) vera; urgency=medium

  * 2.3.5

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Jan 2023 10:34:07 +0000

## blueman 2.4

=== debian/changelog ===
blueman (2.4-1.0antix1) unstable; urgency=medium

  * remove polkit dependency 

 -- anticapitalista <antix@operamail.com>  Sat, 06 Apr 2024 16:33:58 +0300

blueman (2.4-1) unstable; urgency=low

  * New release (Closes: #1021555)

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 29 Mar 2024 22:38:00 +0200

=== debian/control ===
Source: blueman
Section: x11
Priority: optional
Maintainer: Christopher Schramm <debian@cschramm.eu>
Homepage: https://github.com/blueman-project/blueman
Vcs-Git: https://salsa.debian.org/debian/blueman.git
Vcs-Browser: https://salsa.debian.org/debian/blueman
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
               gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.6),
               cython3, python-gi-dev (>= 3.27.2), dh-python

Package: blueman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
         dbus (>= 1.9.18), default-dbus-session-bus | dbus-session-bus,
         bluez (>= 5.48), bluez-obexd, python3-gi (>= 3.27.2),
         notification-daemon, librsvg2-common,
         gnome-icon-theme | mate-icon-theme | elementary-xfce-icon-theme |
         adwaita-icon-theme | papirus-icon-theme,
         libpulse-mainloop-glib0, gir1.2-gtk-3.0 (>= 3.24),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
         python3-gi-cairo, gir1.2-nm-1.0
Recommends: pulseaudio-module-bluetooth | libspa-0.2-bluetooth
Description: Graphical bluetooth manager
 Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus
 backend.
 .

## blueman 2.4.1

=== debian/changelog ===
blueman (2.4.1-1.0antix1) unstable; urgency=medium

  * remove polkit dependency 

 -- anticapitalista <antix@operamail.com>  Wed, 10 Apr 2024 19:54:27 +0300

blueman (2.4.1-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Wed, 10 Apr 2024 00:01:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Homepage: https://github.com/blueman-project/blueman
 Vcs-Git: https://salsa.debian.org/debian/blueman.git
 Vcs-Browser: https://salsa.debian.org/debian/blueman
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
-               gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.6),
+               gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.8),
                cython3, python-gi-dev (>= 3.27.2), dh-python
 
 Package: blueman

## blueman 2.4.2+mint1+wilma

=== debian/changelog ===
blueman (2.4.2+mint1+wilma) wilma; urgency=medium

  * 2.4.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Jun 2024 12:07:56 +0100

blueman (2.3.5+mint1) vera; urgency=medium

  * 2.3.5

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Jan 2023 10:34:07 +0000

## blueman 2.4.2+mint1+wilma+pearl12

=== debian/changelog ===
blueman (2.4.2+mint1+wilma+pearl12) scootski; urgency=medium

  * Initial Pearl 12 build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Mon, 02 Sep 2024 01:16:49 -0500

## blueman 2.4.3

=== debian/changelog ===
blueman (2.4.3-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:03:26 +0100

blueman (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Install systemd configuration to /usr (Closes: #1073725)

 -- Christopher Schramm <debian@cschramm.eu>  Fri, 26 Jul 2024 08:27:00 +0200

blueman (2.4.2-1) unstable; urgency=low

  * New release

 -- Christopher Schramm <debian@cschramm.eu>  Wed, 17 Jul 2024 11:52:00 +0200

## blueman 2.4.3+mint1+xia

=== debian/changelog ===
blueman (2.4.3+mint1+xia) xia; urgency=medium

  * 2.4.3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 12:08:20 +0000

blueman (2.4.2+mint1) wilma; urgency=medium

  * 2.4.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Jun 2024 12:07:56 +0100

## blueman 2.4.4~1

=== debian/changelog ===
blueman (2.4.4~1-0syncable1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 20:34:23 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
                gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.8),
-               cython3, python-gi-dev (>= 3.27.2), dh-python
+               cython3, python-gi-dev (>= 3.27.2), dh-python,
+               libpolkit-agent-1-dev
 
 Package: blueman
 Architecture: any
@@ -22,7 +23,7 @@
          libpulse-mainloop-glib0, gir1.2-gtk-3.0 (>= 3.24),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0, gir1.2-pango-1.0, python3-cairo,
-         python3-gi-cairo, gir1.2-nm-1.0
+         python3-gi-cairo, gir1.2-nm-1.0, polkitd
 Recommends: pulseaudio-module-bluetooth | libspa-0.2-bluetooth
 Description: Graphical bluetooth manager
  Blueman is a GTK+ bluetooth management utility for GNOME using bluez D-Bus

=== debian/watch ===
version=4
opts=searchmode=plain,uversionmangle=s/\.((beta|alpha)\d*)$/~$1/ \
  https://api.github.com/repos/blueman-project/blueman/releases \
  https://github.com/blueman-project/blueman/releases/download/[^/]+/blueman-([^/]+)\.tar\.xz

## blueman 2.4.4

=== debian/changelog ===
blueman (2.4.4-1) unstable; urgency=low

  * New upstream release (Closes: #1082668)

 -- Christopher Schramm <debian@cschramm.eu>  Mon, 03 Feb 2025 14:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: https://github.com/blueman-project/blueman
 Vcs-Git: https://salsa.debian.org/debian/blueman.git
 Vcs-Browser: https://salsa.debian.org/debian/blueman
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libglib2.0-dev,
                gettext, libbluetooth-dev (>= 5.0), python3-dev (>= 3.8),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf --with-systemdsystemunitdir=/lib/systemd/system
+	dh_auto_configure -- --disable-runtime-deps-check --with-dhcp-config=/etc/dhcp/dhcpd.conf --with-systemdsystemunitdir=/usr/lib/systemd/system
 
 override_dh_auto_install:
 	dh_auto_install
@@ -18,8 +18,5 @@
 	dh_python3 --shebang=/usr/bin/python3
 	dh_python3 --shebang=/usr/bin/python3 /usr/libexec
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 %:
 	dh $@ --with python3
